Bug 18574 - Clean Patron Records tool doesn't limit to the selected library
Summary: Clean Patron Records tool doesn't limit to the selected library
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low critical (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 17083
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-10 15:46 UTC by Kyle M Hall
Modified: 2017-05-14 09:41 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18574 - Clean Patron Records tool doesn't limit to the selected library (1.54 KB, patch)
2017-05-10 15:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED OFF] Bug 18574 - Clean Patron Records tool doesn't limit to the selected library (1.62 KB, patch)
2017-05-10 22:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18574 - Clean Patron Records tool doesn't limit to the selected library (1.67 KB, patch)
2017-05-11 10:00 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2017-05-10 15:46:20 UTC
The library selector simply does nothing because at some point the javascript that powers it was removed. This is very bad because the librarian may batch delete patrons assuming it is limiting by branch correctly and instead delete patrons for all the libraries!
Comment 1 Kyle M Hall 2017-05-10 15:49:21 UTC
Created attachment 63355 [details] [review]
Bug 18574 - Clean Patron Records tool doesn't limit to the selected library

The library selector simply does nothing because at some point the
javascript that powers it was removed. This is very bad because
the librarian may batch delete patrons assuming it is limiting by
branch correctly and instead delete patrons for all the libraries!

Test Plan:
1) Note that the library pulldown on tools/cleanborrowers.pl does nothing
2) Apply this patch
3) Note that chaning the value in the pulldown now refreshed the page and sets the library correctly!
Comment 2 Jonathan Druart 2017-05-10 20:39:47 UTC
Indentation is wrong.
Comment 3 Katrin Fischer 2017-05-10 22:16:16 UTC
Created attachment 63374 [details] [review]
[SIGNED OFF] Bug 18574 - Clean Patron Records tool doesn't limit to the selected library

The library selector simply does nothing because at some point the
javascript that powers it was removed. This is very bad because
the librarian may batch delete patrons assuming it is limiting by
branch correctly and instead delete patrons for all the libraries!

Test Plan:
1) Note that the library pulldown on tools/cleanborrowers.pl does nothing
2) Apply this patch
3) Note that chaning the value in the pulldown now refreshed the page and sets the library correctly!

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2017-05-10 22:18:21 UTC
Fixed the tabs!
Comment 5 Julian Maurice 2017-05-11 09:52:25 UTC
QAing this now
Comment 6 Julian Maurice 2017-05-11 10:00:30 UTC
Created attachment 63378 [details] [review]
Bug 18574 - Clean Patron Records tool doesn't limit to the selected library

The library selector simply does nothing because at some point the
javascript that powers it was removed. This is very bad because
the librarian may batch delete patrons assuming it is limiting by
branch correctly and instead delete patrons for all the libraries!

Test Plan:
1) Note that the library pulldown on tools/cleanborrowers.pl does nothing
2) Apply this patch
3) Note that chaning the value in the pulldown now refreshed the page and sets the library correctly!

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 7 Julian Maurice 2017-05-11 10:02:30 UTC
Passed QA

For reference, this bug was introduced by bug 17083
Comment 8 Kyle M Hall 2017-05-12 12:42:34 UTC
Pushed to master for 17.05! Thanks for the quick turnaround Katrin, Julian!
Comment 9 Katrin Fischer 2017-05-14 09:41:17 UTC
This patch has been pushed to 16.11.x and will be in 16.11.08.